// 定义扩展方法所在的命名空间
//namespace Platform.Common.BasicFunctions {
// 扩展方法，用于获取字典中的元素
export function GetDictionaryItem<T>(dict: { [key: string]: any }, key: string): T {
    let result: T = null as any;
    if (dict && dict.hasOwnProperty(key)) {
        result = dict[key] as T;
    }
    return result;
}

// 扩展方法，用于设置字典中的元素
export function SetDictionaryItem(dict: { [key: string]: any }, key: string, value: any): void {
    if (!dict) {
        dict = {};
    }
    if (!dict.hasOwnProperty(key)) {
        dict[key] = value;
    } else {
        dict[key] = value;
    }
}
//}

// // 示例使用
// const myDict: { [key: string]: any } = {};
// Platform.Common.BasicFunctions.setDictionaryItem(myDict, "testKey", "testValue");
// const value = Platform.Common.BasicFunctions.getDictionaryItem<string>(myDict, "testKey");
// console.log(value);
